%define upstream_name    POE-API-Peek
%define upstream_version 2.20

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Epoch:      1

Summary:    Peek into the internals of a running POE environment
License:    Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::Size)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(POE) >= 1.311.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
POE::API::Peek extends the POE::Kernel interface to provide clean access to 
Kernel internals in a cross-version compatible manner. Other calculated 
data is also available.

%prep
%setup -q -n POE-API-Peek-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/POE
%{_mandir}/man3/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1:2.200.0-2.mga3
+ Revision: 371215
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 25 2012 jquelin <jquelin> 1:2.200.0-1.mga2
+ Revision: 200964
- update to 2.20
- update to 2.19

* Fri Jun 17 2011 jquelin <jquelin> 1:2.170.0-1.mga2
+ Revision: 108944
- update to 2.17

* Mon Jan 24 2011 jquelin <jquelin> 1:2.160.0-2.mga1
+ Revision: 36884
- rebuild

* Sun Jan 23 2011 jquelin <jquelin> 1:2.160.0-1.mga1
+ Revision: 34946
- mageia rebuild
- imported package perl-POE-API-Peek

